PATCH/projects/api/v3/workflows/{id}.json

Update an existing workflow.

Partial update a workflow.

Path Params

  • Name
    id
    Type
    integer
    required
    Description

Body Params

Request contains information of a workflow to be created or updated.

    • Name
      workflow
      Type
      object
      Description
      Workflow contains all the information returned from a workflow.
    • Name
      workflowOptions
      Type
      object

    Responses

    • Code
      200
      Type
      object
      Schema
      Description
      200 OK
      Response contains information about a specific workflow.
    • Code
      400
      Type
      object
      Schema
      Description
      400 Bad Request
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      403
      Type
      object
      Schema
      Description
      403 Forbidden
      ErrorResponse defines how []Error should be marshaled to JSON.
    • Code
      404
      Description
      404 Not Found No Data
    • Code
      409
      Type
      object
      Schema
      Description
      409 Conflict
      ErrorResponse defines how []Error should be marshaled to JSON.

    Examples

    200 OK

    Response
    {  "included": {    "ProjectPermissions": {      "additionalProp": {        "active": true,        "addExpenses": true,        "addFiles": true,        "addForms": true,        "addLinks": true,        "addMessages": true,        "addMilestones": true,        "addNotebooks": true,        "addProjectUpdate": true,        "addRisks": true,        "addTaskLists": true,        "addTasks": true,        "addTime": true,        "canAccess": true,